docs

# QuizPoll

data class QuizPoll ( val id: PollIdentifier , val question: String , val options: List < PollOption >, val votesCount: Int , val correctOptionId: Int ? = null, val text: String ? = null, val textSources: List < TextSource > = emptyList(), val isClosed: Boolean = false, val isAnonymous: Boolean = false, val scheduledCloseInfo: ScheduledCloseInfo ? = null) : Poll, TextedInput
Content copied to clipboard

## Constructors

QuizPoll
Link copied to clipboard
fun QuizPoll ( id: PollIdentifier , question: String , options: List < PollOption >, votesCount: Int , correctOptionId: Int ? = null, text: String ? = null, textSources: List < TextSource > = emptyList(), isClosed: Boolean = false, isAnonymous: Boolean = false, scheduledCloseInfo: ScheduledCloseInfo ? = null)
Content copied to clipboard

## Properties

correctOptionId
Link copied to clipboard
val correctOptionId : Int ? = null
Content copied to clipboard

Nullable due to documentation (https://core.telegram.org/bots/api#poll)

id
Link copied to clipboard
open override val id : PollIdentifier
Content copied to clipboard
isAnonymous
Link copied to clipboard
open override val isAnonymous : Boolean = false
Content copied to clipboard
isClosed
Link copied to clipboard
open override val isClosed : Boolean = false
Content copied to clipboard
options
Link copied to clipboard
open override val options : List < PollOption >
Content copied to clipboard
question
Link copied to clipboard
open override val question : String
Content copied to clipboard
scheduledCloseInfo
Link copied to clipboard
open override val scheduledCloseInfo : ScheduledCloseInfo ? = null
Content copied to clipboard
text
Link copied to clipboard
open override val text : String ? = null
Content copied to clipboard
textSources
Link copied to clipboard
open override val textSources : List < TextSource >
Content copied to clipboard

Full list of TextSources

votesCount
Link copied to clipboard
open override val votesCount : Int
Content copied to clipboard